<?php

namespace Goldenscarab\Modulus\Debusca\App\Http\Drivers\Objects;


class Meta
{
    public $table;

    public $field;

    public $type;

    public $null;

    public $key;

    public $default;

    public $extra;


    /**
     * Get the value of field
     */
    public function getField()
    {
        return $this->field;
    }

    /**
     * Set the value of field
     *
     * @return  self
     */
    public function setField($field)
    {
        $this->field = $field;

        return $this;
    }

    /**
     * Get the value of type
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Set the value of type
     *
     * @return  self
     */
    public function setType($type)
    {
        $this->type = $type;

        return $this;
    }

    /**
     * Get the value of null
     */
    public function getNull()
    {
        return $this->null;
    }

    /**
     * Set the value of null
     *
     * @return  self
     */
    public function setNull($null)
    {
        $this->null = $null;

        return $this;
    }

    /**
     * Get the value of key
     */
    public function getKey()
    {
        return $this->key;
    }

    /**
     * Set the value of key
     *
     * @return  self
     */
    public function setKey($key)
    {
        $this->key = $key;

        return $this;
    }

    /**
     * Get the value of default
     */
    public function getDefault()
    {
        return $this->default;
    }

    /**
     * Set the value of default
     *
     * @return  self
     */
    public function setDefault($default)
    {
        $this->default = $default;

        return $this;
    }

    /**
     * Get the value of extra
     */
    public function getExtra()
    {
        return $this->extra;
    }

    /**
     * Set the value of extra
     *
     * @return  self
     */
    public function setExtra($extra)
    {
        $this->extra = $extra;

        return $this;
    }

    /**
     * Get the value of table
     */
    public function getTable()
    {
        return $this->table;
    }

    /**
     * Set the value of table
     *
     * @return  self
     */
    public function setTable($table)
    {
        $this->table = $table;

        return $this;
    }

    public function isNumeric()
    {
        return in_array($this->type, ['LONGLONG', 'LONG', 'TINY']);
    }

    public function isPrimaryKey()
    {
        return $this->key == 'primary_key';
    }

    public function isUnique()
    {
        return $this->key == 'unique';
    }
}
