<?php

namespace Goldenscarab\Modulus\Debusca\App\Models;

use Illuminate\Database\Eloquent\Model;

class Folder extends Model
{
    private $path;

    private $folder;

    public function __construct($path, $folder)
    {
        $this->path = $path;
        $this->folder = $folder;
    }

    protected function getPathNameAttribute()
    {
        $pathname = vsprintf('%s/%s', [$this->path, $this->folder]);

        return str_replace('//', '/', $pathname);
    }

    public function getNameAttribute()
    {
        return $this->folder;
    }
}
