<?php

namespace Goldenscarab\Modulus\Debusca\App\Models;

use Illuminate\Database\Eloquent\Model;

class Storage extends Model
{
    private $storage_path;

    private $file;

    public function __construct($file)
    {
        $this->file = $file;
        $this->storage_path = debusca_path('storage');
    }

    protected function getPathNameAttribute()
    {
        return vsprintf('%s/%s', [
            $this->storage_path,
            $this->file
        ]);
    }

    public function saveData($data)
    {
        File::put($this->path_name, $data);
    }

    public function getData()
    {
        return File::get($this->path_name);
    }
}
