<style>
    .version {
        margin-bottom: 20px;
        font-size: 13px;
    }

    main {
        margin-top: 80px;
    }

    .explorer-wrap {
        position: relative;
    }

    #explorer {
        height: 670px;
    }

    #tables {
        height: 473px;
    }

    #explorer, #tables {
        color: #fff;
        overflow: auto;
    }

    .item-folder, .item-file, .item-table {
        cursor: default;
        padding: 2px 5px;
        font-size: 15px;
        font-family: sans-serif;
        color: #c3c3c3;
    }
    .item-folder:hover, .item-file:hover, .item-table:hover {
        background-color: rgba(195, 195, 195, 0.1);
        color: #9ca2f8;
    }
    .item-file.active {
        background-color: #338eff;
        color: #fff;
    }
    .item-file i,
    .item-table i {
        color: #7d7d7d;
    }
    .item-folder i {
        color: #7095ff;
    }
    .item-file.active i {
        color: #fff;
    }

    .item {
        position: relative;
    }

    h2:hover {
        background-color: rgba(255, 255, 255, 0.1)
    }

    h2:hover .action {
        padding-right: 15px;
        padding-top: 8px;
        display: block;
    }

    h2:hover .action i {
        color: #fff;
    }

    h2 .action i:hover {
        color: #9ca2f8;
    }

    .item:hover .action {
        display: block;
        padding: 2px 0 2px 6px;
        background-color: #43484e;
    }

    .item:hover .action i {
        color: #868686;
    }

    .item .action i:hover {
        color: #9ca2f8;
    }

    .item.active:hover .action i {
        color: #c5c4ff;
    }

    .item.active .action i:hover {
        color: #f6f6ff;
    }

    .action {
        display: none;
        position: absolute;
        top: 0;
        right: 5px;
        z-index: 999;
    }

    #result th,
    #result td {
        font-size: 14px;
        width: auto;
        max-width: 600px;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

    #result .fa:hover {
        color: #83bfff;
    }

    .db-entry .action {
        display: table-cell;
        position: initial;
        top: initial;
        right: initial;
        z-index: initial;
    }

    .db-entry .action i:hover {
        color: #9ca2f8;
    }

    #query-result {
        font-size: 0.8em;
    }

    .loading {
        display: none;
    }

    #tables.is-loading {
        padding: 0 !important;
    }

    .is-loading .loading {
        display: block;
    }

    #tables .loading {
        height: 100%;
        padding-top: 50%;
        background-color: rgba(0, 0, 0, 0.4);
    }

    .loading {
        text-align: center;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
    }

    #query-result .loading {
        padding: 50px 0 50px 0 ;
        background-color: rgba(0, 0, 0, 0.1);
    }



    /* Rotation infinie */
    @keyframes rotate {
        0% {
            -webkit-transform: translate3d(0, 0, 1, 0deg);
            transform:rotate3d(0, 0, 1, 0deg);
        }
        100% {
        -webkit-transform: translate3d(0, 0, 1, 359deg);
            transform:rotate3d(0, 0, 1, 359deg);
        }
    }
    @keyframes rotate {
        0% {
            -webkit-transform: translate3d(0, 0, 1, 0deg);
            transform:rotate3d(0, 0, 1, 0deg);
        }
        100% {
        -webkit-transform: translate3d(0, 0, 1, 359deg);
            transform:rotate3d(0, 0, 1, 359deg);
        }
    }
    .rotate {
        -webkit-animation: rotate 1s linear infinite;
        animation: rotate 1s linear infinite;
        transform-origin: 50% 50%;
    }
</style>
